/*
Simple Modal Window
Author: KEITA HIRAI
URL: keitahirai.net
*/
$(function() {
	$("body").append('<span id="modal-overlay"></span>');

	var Window = $(window),
		hb = $("html, body"),
		body = $("body"),
		mw = $(".modal-window"),
		overlay = $("#modal-overlay"),
		scrollY;

	// 開く
	$(".modal a").click(function() {
		scrollY = Window.scrollTop();

		body.css({
			position: "fixed",
			top: -scrollY
		});

		overlay.addClass("block");
		$($(this).attr("href")).addClass("block");
		return false;
	});

	// 閉じる
	$("#modal-overlay, .modal-window .close").click(function() {
		body.attr("style", "");
		hb.prop({scrollTop: scrollY});
		overlay.removeClass("block");
		mw.removeClass("block");
	});

	// Esc キーで閉じる
	Window.keydown(function(e) {
		if (e.keyCode == 27) {
			body.attr("style", "");
			hb.prop({scrollTop: scrollY});
			overlay.removeClass("block");
			mw.removeClass("block");
		}
	});
});